--- title: "Get the List of Active Botnets" slug: "get-the-list-of-active-botnets" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:35:02Z published: 2026-09-23T09:35:02Z canonical: "docs.trellix.com/get-the-list-of-active-botnets" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get the List of Active Botnets This URL gets the list of active botnets in the domain. ## Resource URL GET /domain//activebotnets?includeChildDomain=&&duration= ## Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | domain_id | Domain id | Number | Yes | | includeChildDomain | Should the child domains be included | Boolean | No | | duration | Duration can be: - LAST_5_MINUTES - LAST_1_HOUR - LAST_6_HOUR - LAST_12_HOUR - LAST_24_HOUR - LAST_48_HOUR - LAST_7_DAYS - LAST_14_DAYS | String | No | ## Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | botnetDetailList | List of active botnets | ObjectList | Details of fields in botnetDetailList: | Field Name | Description | Data Type | | --- | --- | --- | | name | Name of the active botnet | String | | botId | If of the active botnet | Number | | ccCommunication | C&C communication | String | | events | Number of events | Number | | lastEvent | Last event time | String | ## Example **Request** GET [https:///sdkapi/domain/0/activebotnets](https://%3CNSM_IP%3E/%20sdkapi/domain/0/activebotnets) **Response** ``` {       "botnetDetailList":       [           {               "name": "IRCBots",               "botId": 6,               "ccCommunication": "UN_BLOCKED",               "events": 1,               "lastEvent": "Jan 31 10:04 IST"           }       ]    } ```   ## Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1105 | Invalid domain | | 2 | 404 | 4201 | Invalid duration filter |